<html>
<head>


</head>

<style>
    .button {
        height: 2em;
        width: fit-content;
        padding: 1em;
        background-color: whitesmoke;
        margin: .5em;

        cursor: pointer
    }
</style>

<body style = "background-color: aquamarine;">
<form method = "POST">
    <input type = "text" name = "city">
    <input type="submit" value = "submit">
</form>

{% if output %}
    <p id = "temperature">{{output[0]}}</p><br>
    <p id = "feel-like">{{output[1]}}</p><br>
{% endif %}

<div class = "button" onclick="change_settings('K')">
Kelvin
</div>
<div class = "button" onclick="change_settings('F')">
Farenheiheieheit
</div>
<div class = "button" onclick="change_settings('C')">
Celsius
</div>


</body>

<script>

/*
############################################
    imperial    = Farenheiheieheit
    metrics     = Celsius
    kelvin      = Kelvin
############################################
*/

// leggo il cookie e decido cosa fare,
// se il cookie è metric lascio cosi, altrimenti cambio opportunamente in base al cookie

var cookies = getCookie("units");

console.log(cookies)

if(cookies)
{
    if(cookies == "imperial")
    {
        change_units("F");
    }
    else if (cookies == "kelvin")
    {
        change_units("K");
    }
    else
    {
        // niente lascio cosi
    }
}
else
{
    document.cookie = "units=metrics; expires = Thu, 18 Dec 2500 12:00:00 UTC; path=/";
}


function getCookie(cname) {
  var name = cname + "=";
  var decodedCookie = decodeURIComponent(document.cookie);
  var ca = decodedCookie.split(';');
  for(var i = 0; i <ca.length; i++) {
    var c = ca[i];
    while (c.charAt(0) == ' ') {
      c = c.substring(1);
    }
    if (c.indexOf(name) == 0) {
      return c.substring(name.length, c.length);
    }
  }
  return false
}


function change_units (unit)
{
    var temp = document.getElementById("temperature");
    var feel = document.getElementById("feel-like");

    var temp2;
    var feel2;

    if(unit == "K")
    {
        // celsius -> kelvin
        temp2 = (parseFloat(temp.innerHTML) + 273.15);
        feel2 = (parseFloat(feel.innerHTML) + 273.15);
    }
    else if (unit == "F")
    {
        // celsius -> farehahehrahrehrit
        temp2 = (parseFloat(temp.innerHTML) * 9/5) + 32;
        feel2 = (parseFloat(feel.innerHTML) * 9/5) + 32;
    }
    else
    {
        // lascia invariato
        temp2 = temp;
        feel2 = feel;
    }

    temp.innerHTML = temp2;
    feel.innerHTML = feel2;
}


function change_settings(unit)
{
    // funzione che cambia il cookie alla pressione di un button per cambiare le impostazioni del cookie
    // infine reloada la pagina con il cookie aggiornato
    
    if(unit == "K")
    {
        // cookie con kelvin
        document.cookie = "units=kelvin; expires = Thu, 18 Dec 2500 12:00:00 UTC; path=/";
        location.reload();
    }
    else if (unit == "F")
    {
        // cookie con imperial
        document.cookie = "units=imperial; expires = Thu, 18 Dec 2500 12:00:00 UTC; path=/";
        location.reload();
    }
    else
    {
        // cookie con metrics
        document.cookie = "units=metrics; expires = Thu, 18 Dec 2500 12:00:00 UTC; path=/";
        location.reload();
    }
}

</script>

</html>